List run history of a flow
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"trigger_payload_preview": {}
}
],
"meta": {
"current_page": 1,
"total": 123,
"last_page": 123,
"per_page": 123
}
}{
"success": false,
"message": "Agent not found",
"data": []
}Flow Executions
List run history of a flow
Paginated list of every time this flow fired on a real event. Each execution captures status, duration, and a preview of the trigger payload. Use GET /executions/ to drill into per-step request/response/error.
GET
/
api
/
v1
/
flow
/
{uuid}
/
executions
List run history of a flow
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Undeploy — flip a deployed flow back to draftRead one execution with per-step request/response/error
⌘I